# Overview

0. The Linux Terminal
1. What is `git`? Why do I need it? (5 min)
2. GitHub and GitLab (5min)
    * Practical session (5 min)
        - GitLab interface
        - GitHub interface
3. The 5 essential commands (10 min)
    * Practical session (15 min)
        - init
        - clone
        - add
        -
4. Branches (10 min)
    * Practical session (10 min)
5. Forks (10 min)
    * Practical session (10 min)
6. Evaluation (10 min)


## The Linux Terminal

Starting the terminal presents itself with a line where you can enter a command:
```sh
michael@myComputer>
```
Often written, for covenience, as:
```sh
$
```
When you open your terminal (git shell) and unless otherwise configured, you are located
in your home directory, denoted as `~/`.


## Essential Linux commands

List the contents of a directory
```sh
$ ls
```

Change the directory to a specific folder
```sh
$ cd myDirectory
```

Change the directory 1 level and 2 levels up
```sh
$ cd ..
$ cd ../..
```
Create a directory
```sh
$ mkdir myNewDirectory
```


## What is `git`? Why do I need it?

![](img/git_definition.png)

![](img/linus.jpg)

Designed and implemented in 2005 by **Linus Torvalds**

`git` is a version tracking system, essentially for code.
Collaborative platform for code development



## The 5 essential commands

`pull, status, add, commit, push` (P-SAC-P)

note:
    Put your speaker notes here.
    You can see them pressing 's'.
    Fullscreen can be activated by typing 'f'.
